---------------------------------------------------------------------------
--
-- FILE
--    ossp-compat.sql
--
-- DESCRIPTION
--    Postgres-side function definitions for compatibility with
--    some code that might be written against "contrib/uuid-ossp"
--
-- Copyright (c) 2009, David Lee Lambert <davidl@lmert.com>
--
---------------------------------------------------------------------------
--
-- $Id: ***  $
-- 
---------------------------------------------------------------------------


CREATE FUNCTION uuid_generate_v1() 
RETURNS uuid AS 'SELECT newid_time()' 
VOLATILE STRICT LANGUAGE SQL;

CREATE FUNCTION uuid_generate_v4() 
RETURNS uuid AS 'SELECT newid_random()' 
VOLATILE STRICT LANGUAGE SQL;
