/*
 *
 *$Header: /usr/local/cvsroot/pguuid/pguuid/src/util_comm.c,v 1.3 2003/06/13 04:10:33 xylophone Exp $
 */

#include <uuid/uuid.h>

#include <postgres.h>
#include <fmgr.h>

typedef unsigned char * uuid_p;



/* uuid compare function */
PG_FUNCTION_INFO_V1(util_uuid_cmp);
Datum util_uuid_cmp(PG_FUNCTION_ARGS)
{
	uuid_p p1 = (uuid_p) PG_GETARG_POINTER(0);
	uuid_p p2 = (uuid_p) PG_GETARG_POINTER(1);

	PG_RETURN_INT32(uuid_compare(p1, p2));
}

PG_FUNCTION_INFO_V1(util_uuid_type);
Datum util_uuid_type(PG_FUNCTION_ARGS)
{
	uuid_p p = (uuid_p) PG_GETARG_POINTER(0);

	PG_RETURN_INT16(uuid_type(p));
}

PG_FUNCTION_INFO_V1(util_uuid_variant);
Datum util_uuid_variant(PG_FUNCTION_ARGS)
{
	uuid_p p = (uuid_p) PG_GETARG_POINTER(0);

	PG_RETURN_INT16(uuid_variant(p));
}
